<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>VLC Streamer Controller</title>
    <link rel="shortcut icon" href="{{ url_for('static', filename='favicon.ico') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css">
    <!-- Bootstrap core CSS -->
    <link href="{{ url_for('static', filename='css/bootstrap.min.css') }}" rel="stylesheet">
    <!-- Material Design Bootstrap -->
    <link href="{{ url_for('static', filename='css/mdb.min.css') }}" rel="stylesheet">
    <!-- Your custom styles (optional) -->
    <link href="{{ url_for('static', filename='css/style.min.css') }}" rel="stylesheet">

    {{ dropzone.load_css() }}
    {{ dropzone.style('border: 2px dashed #0087F7; margin: 10%; min-height: 400px;') }}
</head>

<body class="grey lighten-3">

<!--Main Navigation-->
<header>

    <!-- Sidebar -->
    <div class="sidebar-fixed position-fixed">

        <a class="text-effect" href="http://www.jmorava.net" target="_blank">
            jmorava.net
        </a>

        <div class="list-group list-group-flush">
            <a href="dashboard" class="list-group-item active waves-effect">
                <i class="fas fa-chart-pie mr-3"></i>Dashboard
            </a>
            <a href="vlc" class="list-group-item list-group-item-action waves-effect" target="_blank">
                <img src="{{ url_for('static', filename='img/vlc_logo_bw.png') }}" class="rounded-circle menu-image" height="20" width="20" ><span>VLC</span>
            </a>
            <a href="template" class="list-group-item list-group-item-action waves-effect">
                <i class="fas fa-user mr-3"></i>Template</a>
        </div>

    </div>
    <!-- Sidebar -->

</header>
<!--Main Navigation-->

<!--Main layout-->
<main class="">
    <div class="container-fluid mt-5">


        <!--Grid row-->
        <div class="row wow fadeIn">

            <!--Grid column-->
            <div class="col-md-3 mb-4">

                <!--Card-->
                <div class="card mb-4">

                    <!-- Card header -->
                    <div class="card-header text-center">
                        Playlist
                    </div>

                    <!--Card content-->
                    <div class="card-body">

                        <!-- List group links -->
                        <div class="list-group list-group-flush">
                            {% if playlist %}
                                {% for key, value in playlist.items() %}
                                    {% if value.is_playing == '*'%}
                            <a class="list-group-item list-group-item-action waves-effect"><b>&#9834; {{value.name}} - {{value.duration}}</b></a>
                                    {% else %}
                                        <a class="list-group-item list-group-item-action waves-effect">{{value.name}} - {{value.duration}}</a>
                                    {% endif %}
                                {% endfor %}
                            {% else %}
                                <a class="list-group-item list-group-item-action waves-effect">Nothing is playing</a>
                            {% endif %}

                        </div>

                    </div>
                    <!--/.Card-->

                </div>
                <!--/.Card-->

            </div>
            <!--Grid column-->


             <!--Grid column-->
            <div class="col-md-2 mb-4">

                <!--Card-->
                <div class="card mb-4">

                    <!-- Card header -->
                    <div class="card-header text-center">
                        VLC Controls
                    </div>

                    <!--Card content-->
                    <div class="card-body">

                        <!-- List group links -->
                        <div class="text-center">
                            <a class="btn btn-primary btn-sm" href="/action/play_pause">Play/Pause</a>
                            <br>
                            <a class="btn btn-primary btn-sm" href="/action/next">Next</a>
                        </div>

                    </div>
                    <!--/.Card-->

                </div>
                <!--/.Card-->

            </div>
            <!--Grid column-->


            <!--Grid column-->
            <div class="col-md-2 mb-4">

                <!--Card-->
                <div class="card mb-4">

                    <!-- Card header -->
                    <div class="card-header text-center">
                        Presentation
                    </div>

                    <!--Card content-->
                    <div class="card-body">

                        <!-- List group links -->
                        <div class="text-center">
                            <a class="btn btn-primary btn-sm" href="/action/update_presentation">Update</a>
                            <br>
                            <a class="btn btn-primary btn-sm" target="_blank" rel="noopener noreferrer"
                               href="https://docs.google.com/presentation/d/{{ presentation_id }}">Edit</a>
                            <br>
                           <a class="btn btn-primary btn-sm" href="/action/play_presentation">Play now</a>
                        </div>

                    </div>
                    <!--/.Card-->

                </div>
                <!--/.Card-->

            </div>
            <!--Grid column-->



            <!--Grid column-->
            <div class="col-md-2 mb-4">

                <!--Card-->
                <div class="card mb-4">

                    <!-- Card header -->
                    <div class="card-header text-center">
                        Municipal radio
                    </div>

                    <!--Card content-->
                    <div class="card-body">

                        <!-- List group links -->
                        <div class="text-center">
                            <a class="btn btn-primary btn-sm" href="/action/update_municipal_radio">Update</a>
                            <br>
                           <a class="btn btn-primary btn-sm" href="/action/play_municipal_radio">Play now</a>
                        </div>

                    </div>
                    <!--/.Card-->

                </div>
                <!--/.Card-->

            </div>
            <!--Grid column-->


             <!--Grid column-->
            <div class="col-md-2 mb-4">

                <!--Card-->
                <div class="card mb-4">

                    <!-- Card header -->
                    <div class="card-header text-center">
                        Clips
                    </div>

                    <!--Card content-->
                    <div class="card-body">

                        <!-- List group links -->
                        <div class="text-center">
                           <a class="btn btn-primary btn-sm" href="/action/play_clips">Play now</a>
                        </div>

                    </div>
                    <!--/.Card-->

                </div>
                <!--/.Card-->

            </div>
            <!--Grid column-->

        </div>
        <!--Grid row-->

        <!--Grid row-->
        <div class="row wow fadeIn">


            <!--Grid column-->
            <div class="col-md-8 mb-4">

                <!--Card-->
                <div class="card">


                    <!-- Card header -->
                    <div class="card-header">Uploads - Drag and drop files for upload.</div>

                    <!--Card content-->
                    <div class="card-body">

                        <!-- First row-->
                        <div class="row">

                            <!--First column-->
                            <div class="col-md-6">
                                <h5 class="text-center mb-6">Transcode and add logo</h5>
                                {{ dropzone.create(action='dashboard') }}
                            </div>
                            <!--First column-->

                            <!--Second column-->
                            <div class="col-md-6">
                                <h5 class="text-center mb-6">Only transcode</h5>



                            </div>
                            <!--Second column-->

                        </div>
                        <!-- /.First row-->

                    </div>

                </div>
                <!--/.Card-->

            </div>
            <!--Grid column-->

        </div>
        <!--Grid row-->

        <!--Grid row-->
        <div class="row wow fadeIn">

            <!--Grid column-->
            <div class="col-md-6 mb-4">

                <!--Card-->
                <div class="card">


                    <!-- Card header -->
                    <div class="card-header">{{ clips.name }}</div>

                    <!--Card content-->
                    <div class="card-body">


                        <h3 class="list-heading"></h3>
                        <ul id="ul-{{ clips.name }}" class="dropzones">
                            {% for file in clips.files() %}
                            <li class="draggable">{{ file }}</li>
                            {% endfor %}
                        </ul>

                    </div>
                    <!--/.Card-->
                </div>
            </div>
            <!--Grid column-->

            <!--Grid column-->
            <div class="col-md-6 mb-4">

                <!--Card-->
                <div class="card">

                    <!-- Card header -->
                    <div class="card-header">{{ unused.name }}</div>

                    <!--Card content-->
                    <div class="card-body">


                        <h3 class="list-heading"></h3>
                        <ul id="ul-{{ unused.name }}" class="dropzones">
                            {% for file in unused.files() %}
                            <li class="draggable">{{ file }}</li>
                            {% endfor %}
                        </ul>

                    </div>
                    <!--/.Card-->

                </div>
                <!--/.Card-->

            </div>
            <!--Grid column-->

        </div>
        <!--Grid row-->


    </div>
</main>
<!--Main layout-->

<!--Footer-->
<footer class="page-footer text-center font-small primary-color-dark darken-2 mt-4 wow fadeIn">

    <!--Copyright-->
    <div class="footer-copyright py-3">
        Template by: © 2019 Copyright:
        <a href="https://mdbootstrap.com/education/bootstrap/" target="_blank"> MDBootstrap.com </a>
    </div>
    <!--/.Copyright-->

</footer>
<!--/.Footer-->
{{ dropzone.load_js() }}
{{ dropzone.config(max_files=10, max_file_size= 8*1024, timeout=60000, default_message='Drop video files here.') }}
<!-- SCRIPTS -->
<!-- JQuery -->
<script type="text/javascript" src="{{ url_for('static', filename='js/jquery-3.3.1.min.js') }}"></script>
<!-- Bootstrap tooltips -->
<script type="text/javascript" src="{{ url_for('static', filename='js/popper.min.js') }}"></script>
<!-- Bootstrap core JavaScript -->
<script type="text/javascript" src="{{ url_for('static', filename='js/bootstrap.min.js') }}"></script>
<!-- MDB core JavaScript -->
<script type="text/javascript" src="{{ url_for('static', filename='js/mdb.min.js') }}"></script>
<!-- Initializations -->
<script type="text/javascript">
    // Animations initialization
    new WOW().init();
</script>
<script src="{{ url_for('static', filename='js/dragndrop.js') }}"></script>
</body>

</html>
